## mwoauth 0.3.7

=== requirements.txt ===
PyJWT == 1.7.1
requests == 2.21.0
requests-oauthlib == 1.2.0
six == 1.12.0

=== debian/changelog ===
mwoauth (0.3.7-3) unstable; urgency=medium

  * Update Vcs-* fields in debian/control.

 -- Roland Mas <lolando@debian.org>  Thu, 10 Feb 2022 13:05:21 +0100

mwoauth (0.3.7-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Thu, 10 Feb 2022 12:06:17 +0100

mwoauth (0.3.7-1) unstable; urgency=low

  * Initial upload.
  * Source package automatically created by stdeb 0.10.0 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Sat, 18 Sep 2021 22:41:55 +0200

=== debian/control ===
Source: mwoauth
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all,
 python3-jwt, python3-requests, python3-requests-oauthlib,
 python3-pytest, debhelper (>= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/mediawiki-utilities/python-mwoauth
Vcs-Git: https://salsa.debian.org/python-team/packages/mwoauth.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mwoauth

Package: python3-mwoauth
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Generic MediaWiki OAuth handshake helper.
 mwoauth is an open licensed (MIT) library designed to provide a
 simple means to performing an OAuth handshake with a MediaWiki
 installation with the OAuth Extension installed.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Sun, 25 Apr 2021 17:27:32 +0200
export PYBUILD_NAME=mwoauth
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
# please also check http://pypi.debian.net/mwoauth/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/mwoauth/mwoauth-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mwoauth 0.3.8

=== requirements.txt ===
PyJWT == 2.4.0
requests == 2.21.0
requests-oauthlib == 1.2.0
six == 1.12.0

=== debian/changelog ===
mwoauth (0.3.8-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.3.8
  * run wrap-and-sort -sa, amended
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 May 2024 10:19:08 +0200

mwoauth (0.3.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:07:51 +0100

## mwoauth 0.4.0

=== requirements.txt ===
PyJWT == 2.4.0
requests == 2.21.0
requests-oauthlib == 1.2.0

=== debian/changelog ===
mwoauth (0.4.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.4.0

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Aug 2024 17:38:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,17 @@
 Uploaders: Roland Mas <lolando@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python3-setuptools, python3-all,
- python3-jwt, python3-requests, python3-requests-oauthlib,
- python3-pytest, debhelper (>= 13)
-Standards-Version: 4.5.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-jwt,
+ python3-pytest,
+ python3-requests,
+ python3-requests-oauthlib,
+ python3-setuptools,
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: https://github.com/mediawiki-utilities/python-mwoauth
 Vcs-Git: https://salsa.debian.org/python-team/packages/mwoauth.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mwoauth

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,6 @@
 # Sun, 25 Apr 2021 17:27:32 +0200
 export PYBUILD_NAME=mwoauth
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
